/******************************************************************************
 * ResignQuestion - Helper object for resigning.
 * $Id: ResignQuestion.java,v 1.3 2011/07/04 04:54:51 dick Exp $
 * 
 * jIBS - A Java clone of FIBS
 * Copyright 2002 - Axel Leucht
 * Copyright 2011 - Dick Balaska - BuckoSoft, Corp.
 * 
 * $Log: ResignQuestion.java,v $
 * Revision 1.3  2011/07/04 04:54:51  dick
 * Make JibsQuestion an abstract class instead of an interface so we can have attributes.
 * Set the player who created the question (who wants to resign).
 *
 * Revision 1.2  2011/05/31 15:25:49  dick
 * Bucko headers.
 *
 */

/* 
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 * The Original Code is jIBS, <https://sourceforge.net/projects/fibs/>.
 * The Initial Developer of the Original Code is Axel Leucht.
 * 
 */
package net.sourceforge.jibs.util;

import net.sourceforge.jibs.backgammon.BackgammonBoard;
import net.sourceforge.jibs.server.JibsQuestion;
import net.sourceforge.jibs.server.Player;

/** Helper object for resigning. 
 * 
 * @author Axel Leucht
 * @author Dick Balaska
 * @version $Revision: 1.3 $ <br> $Date: 2011/07/04 04:54:51 $
 * @see <a href="http://cvs.buckosoft.com/Projects/jIBS/jIBS/src/main/java/net/sourceforge/jibs/util/ResignQuestion.java">cvs ResignQuestion.java</a>
 */
public class ResignQuestion extends JibsQuestion {
	private int points;

	/** Create a resign question with these params
	 * @param who Who is resigning? {@link BackgammonBoard#X} or {@link BackgammonBoard#O}
	 * @param points The number of points the resign is worth
	 */
	public ResignQuestion(Player player, int points) {
		this.player = player;
		this.points = points;
	}

	public int getResignPoints() {
		return points;
	}
}
